%{?nodejs_find_provides_and_requires}

%global packagename log-driver
%global enable_tests 1

Name:		nodejs-log-driver
Version:	1.2.5
Release:	1%{?dist}
Summary:	A simple logging framework for logging to stdout

License:	ISC
URL:		https://github.com/cainus/logdriver.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# releases aren't tagged in github, so pull the test from master
Source1:	https://raw.githubusercontent.com/cainus/logdriver/master/test/index.js
# fix testing syntax
Patch0:		nodejs-log-driver_fix-test-syntax.patch

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(should)
BuildRequires:	npm(sinon-restore)
%endif

Requires:	nodejs

%description
A simple logging framework for logging to stdout


%prep
%setup -q -n package
# test file
mkdir test
cp -p %{SOURCE1} test/

%patch0 -p1

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%{nodejs_sitelib}/%{packagename}



%changelog
* Thu Oct 15 2015 Jared Smith <jsmith@fedoraproject.org> - 1.2.5-1
- Initial packaging
